Bug 965552 - sagemath can't launch, no xterm
sagemath can't launch, no xterm
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sagemath (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Paulo Andrade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 07:00 EDT by Nivag
Modified: 2015-02-17 10:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:17:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nivag 2013-05-21 07:00:59 EDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:21.0) Gecko/20100101 Firefox/21.0
Build Identifier: 

I installed Fedora beta RC2, applied all updates, and installed sagemath (note that xterm is not installed, I use caja).


Reproducible: Always

Steps to Reproduce:
1.clicking on sagemath in the menu
2.
3.
Actual Results:  
clicking on sagemath in the menu brings up a dialog:

Could not launch 'Sagemath'

Failed to execute child process
"xterm" (no such file or directory)

Expected Results:  
Sagemath should come up in a terminal


(I've compiled & run sage directly, so I know what to expect)
Comment 1 Nivag 2013-06-16 05:03:45 EDT
still a problem in F19 TC3
Comment 2 Paulo Andrade 2013-07-08 09:20:32 EDT
Sorry for the delay. I confess I do not know how
to query or force the settings of the default terminal
application to be used by whatever application
is reading the sagemath.desktop file, as it only
says:

Terminal=true

I know about:

$ xdg-settings --list
Known properties:
  default-url-scheme-handler    Default handler for URL scheme
  default-web-browser           Default web browser

I am reassing to xdg-utils maintainer, to attempt
to properly triage the problem, so that it can be
reassigned better.
Comment 3 Rex Dieter 2013-07-08 09:31:55 EDT
I don't think xdg-utils has any facility for terminal handling.  It includes an xdg-terminal tool (which is currently experimental and unsupported, so is not currently included in fedora's xdg-utils packaging)

If sage needs/uses xterm, then it probably ought to include a dependency for it.
Comment 4 Rex Dieter 2013-07-08 09:35:01 EDT
On a similar, but unrelated note, I did see in /usr/bin/sage :

export SAGE_BROWSER=firefox

IMO, that would probably be better set to 

export SAGE_BROWSER=xdg-open

so each user's desktop-preferred browser is used instead (assuming that SAGE_BROWSER refers to a web-browser)
Comment 5 Paulo Andrade 2013-07-08 09:48:23 EDT
It appears the default terminal to use is DE
specific and configurable. Some distributions
have a generic x-terminal-emulator or similarly
named wrapper in /usr/bin.

At least for kde, in en_US it should be to go to:

System Settings ->
  Default Applications ->
    Default Component

Then, select
"Use Konsole as terminal application"

The default value in the text entry there appears
to be "xterm".

About the hardcoded SAGE_BROWSER, I am still to
find some time to debug it better on konqueror
at least, and there is already at least one bug
report about it. I hardcoded firefox because it
works, and not so well in other browsers. I also
noticed that the latest openjdk/icedtea-web
update broke the jmol applet for f18, f19 and
rawhide, so I also need to debug that to either
provide a patch or an as good as possible
description of the breakage (and I know the
plugin applet breaks so easily I am kind of
tired of debugging that for a long time, providing
a patch just to see it break again in a few
months).
Comment 6 Rex Dieter 2013-07-08 09:50:12 EDT
I see sagemath.desktop includes:

Terminal=true

so, desktops are supposed to handle this already (i think)

Reporter, what DE are you using (gnome, kde, mate, other)?
Comment 7 Nivag 2013-07-08 16:02:47 EDT
I am using Mate, and in 'Preferred Applications' ==> 'System' the 'Terminal Emulator' is set to 'MATE Terminal'.

The problem remains, even with F19 fully up-to-date as of about 20 minutes ago.

SageMath works fine when I install xterm.
Comment 8 Fedora End Of Life 2015-01-09 13:10:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 10:17:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.